Issue 120178 - WaE: framework/source/accelerators/acceleratorconfiguration.cxx
WaE: framework/source/accelerators/acceleratorconfiguration.cxx
Status: CLOSED FIXED
Product: General
Classification: Code
Component: code
3.4.0
All All
: P3 normal (vote)
: 4.0.0
Assigned To: pavel
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 16:27 UTC by pavel
Modified: 2013-07-12 12:19 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description pavel 2012-07-03 16:27:36 UTC
Current trunk:


/Users/pavel/BUILD/BuildDir/ooo_trunk_src/framework/source/accelerators/acceleratorconfiguration.cxx:1305: warning: unused parameter ‘xListener’
/Users/pavel/BUILD/BuildDir/ooo_trunk_src/framework/source/accelerators/acceleratorconfiguration.cxx:1312: warning: unused parameter ‘aListener’
make: *** [/Users/pavel/BUILD/BuildDir/ooo_trunk_src/solver/350/unxmacxi.pro/workdir/CxxObject/framework/source/accelerators/acceleratorconfiguration.o] Error 1


Proposed change:


diff -ur /Users/pavel/.ooo/ooo/trunk/main/framework/source/accelerators/acceleratorconfiguration.cxx framework/source/accelerators/acceleratorconfiguration.cxx
--- /Users/pavel/.ooo/ooo/trunk/main/framework/source/accelerators/acceleratorconfiguration.cxx	2012-07-03 10:54:11.000000000 +0200
+++ framework/source/accelerators/acceleratorconfiguration.cxx	2012-07-03 18:26:40.000000000 +0200
@@ -1301,14 +1301,14 @@
 }
 
 //----------------------------------------------- 
-void SAL_CALL XCUBasedAcceleratorConfiguration::addEventListener( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener >& xListener )
+void SAL_CALL XCUBasedAcceleratorConfiguration::addEventListener( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener >& /* xListener */ )
 	throw(css::uno::RuntimeException)
 {
     // nop
 }
 
 //----------------------------------------------- 
-void SAL_CALL XCUBasedAcceleratorConfiguration::removeEventListener( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener >& aListener )
+void SAL_CALL XCUBasedAcceleratorConfiguration::removeEventListener( const ::com::sun::star::uno::Reference< ::com::sun::star::lang::XEventListener >& /* aListener /* )
 	throw(css::uno::RuntimeException)
 {
     // nop
Comment 1 SVN Robot 2012-07-12 13:44:13 UTC
"paveljanik" committed SVN 0 into trunk:
#120178#: Prevent WaE issue - "unname" unused arguments.
Comment 2 pavel 2012-07-12 13:45:04 UTC
Fixed on trunk.